Bug 1733523 - [DOCS] No mention about adding Infrastructure node on bare metal UPI [NEEDINFO]
Summary: [DOCS] No mention about adding Infrastructure node on bare metal UPI
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Cody Hoag
QA Contact: Jianwei Hou
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 11:32 UTC by Daein Park
Modified: 2021-02-18 00:43 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 06:51:00 UTC
Target Upstream Version:
gpei: needinfo? (wsun)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-docs pull 24450 0 None closed BZ#1760675 Preventing user workloads from being scheduled to infra nodes 2021-02-15 01:11:25 UTC

Description Daein Park 2019-07-26 11:32:36 UTC
Document URL: 


* Creating infrastructure MachineSets
    [ https://docs.openshift.com/container-platform/4.1/machine_management/creating-infrastructure-machinesets.html ]

Section Number and Name: 

N/A

Describe the issue: 

This section describing about adding Infrastructure node, but the target environment is only AWS.
v4.1 does not only support AWS IPI, but bare metal UPI, vSphere UPI, AWS UPI are also suppored.

Suggestions for improvement: 

Add same section with IPI for AWS for bare metal UPI, at least, we should provide configuration steps and explanation about how to configure infrastructure node in UPI. It's important for CU's subscription counting.

Additional information: 

User is usually considering to add infra node for logging, monitoring, ingress router components due to not counting as paid subscriptions.

Comment 5 Daein Park 2020-05-18 07:11:40 UTC
My customer met this issue in OCP4.3 and it will be same issue in OCP4.4 either, so I open again with changing the version as 4.4.

Comment 6 jooho lee 2020-05-19 13:45:57 UTC
This is not for 4.1 specific issue. This is about 4.x issue so we need this information with latest version

Comment 7 Hyosun Kim 2020-06-17 09:54:24 UTC
My customer also met this issue in OCP4.4 

We referred this way[1] which is mentioned in a mail-thread[2] to configure separated infra-node and I'm not sure this guidance[1] can be delivered to the customer officially.
The customer wants official guidance to configure adding Infrastructure node on bare metal UPI.

[1]https://github.com/lbohnsac/OCP4/tree/master/infrastructure-node-setup
[2]http://post-office.corp.redhat.com/archives/openshift-sme/2020-May/msg00603.html

Comment 10 David 2020-07-27 07:30:56 UTC
I have attached another case for the same issue.  This time the customer found and followed the KCS articles themselves, but they do not work as the cluster still only recognises the nodes as either master or worker.  No infra nodes are found when checking OCM which meand the customer is still paying subscriptions on thesee nodes.

Using infrastructure nodes is a supported feature to reduce subscription costs, but there is no official product documentation on how to implement this feature for UPI clusters.

Please add documentation to support this feature.

Comment 13 Masaki Furuta 2020-12-17 02:01:23 UTC
Hello Cody Hoag,

Thank you so much for your time and efforts on product documents.

As we seen it, we have done this already on the PR; https://github.com/openshift/openshift-docs/pull/24450 ,would we publish it on this BZ accordingly?

Our partner NEC is waiting on this for a while and they would like to know the most current status.
Would you please share it with us ?
 
I am grateful for your help and clarification.

Thank you,

BR,
Masaki

Comment 16 Cody Hoag 2021-01-26 21:25:37 UTC
@Jianwei would creating an infra node for bare metal UPI just follow the combination of these existing articles?

1. Create a worker machine following this [1].
2. Add infra label to make it an infra node following this [2].

There are currently docs to complement the worker/infra node labeling discussion in progress, which can also be referred to when they're finished. [3]

[1] https://docs.openshift.com/container-platform/4.6/machine_management/user_infra/adding-bare-metal-compute-user-infra.html
[2] https://docs.openshift.com/container-platform/4.6/post_installation_configuration/cluster-tasks.html#creating-an-infra-node_post-install-cluster-tasks
[3] https://github.com/openshift/openshift-docs/pull/28772

Comment 17 Cody Hoag 2021-02-04 18:36:50 UTC
@Gaoyun Do you know the answers to my questions asked in comment#16? Or can you assign this to the appropriate person who could answer this? Thanks!

Comment 19 Jianwei Hou 2021-02-18 00:43:36 UTC
(In reply to Cody Hoag from comment #16)
> @Jianwei would creating an infra node for bare metal UPI just follow the
> combination of these existing articles?
> 
> 1. Create a worker machine following this [1].
> 2. Add infra label to make it an infra node following this [2].
> 
> There are currently docs to complement the worker/infra node labeling
> discussion in progress, which can also be referred to when they're finished.
> [3]
> 
> [1]
> https://docs.openshift.com/container-platform/4.6/machine_management/
> user_infra/adding-bare-metal-compute-user-infra.html
> [2]
> https://docs.openshift.com/container-platform/4.6/
> post_installation_configuration/cluster-tasks.html#creating-an-infra-
> node_post-install-cluster-tasks
> [3] https://github.com/openshift/openshift-docs/pull/28772

Yes, I think this works for bare metal UPI scenario.


Note You need to log in before you can comment on or make changes to this bug.